<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\master_worker;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\master_worker\MasterWorkerTeamLists;
use app\adminapi\logic\master_worker\MasterWorkerTeamLogic;
use app\adminapi\validate\master_worker\MasterWorkerTeamValidate;


/**
 * MasterWorkerTeam控制器
 * Class MasterWorkerTeamController
 * @package app\adminapi\controller
 */
class MasterWorkerTeamController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/20 17:42
     */
    public function lists()
    {
        return $this->dataLists(new MasterWorkerTeamLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/20 17:42
     */
    public function add()
    {
        $params = (new MasterWorkerTeamValidate())->post()->goCheck('add');
        $result = MasterWorkerTeamLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerTeamLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/20 17:42
     */
    public function edit()
    {
        $params = (new MasterWorkerTeamValidate())->post()->goCheck('edit');
        $result = MasterWorkerTeamLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerTeamLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/20 17:42
     */
    public function delete()
    {
        $params = (new MasterWorkerTeamValidate())->post()->goCheck('delete');
        MasterWorkerTeamLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/11/20 17:42
     */
    public function detail()
    {
        $params = (new MasterWorkerTeamValidate())->goCheck('detail');
        $result = MasterWorkerTeamLogic::detail($params);
        return $this->data($result);
    }


}